<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.eg.mapper.EgRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.eg.domain.EgRecord">
        <id column="id" property="id" />
        <result column="user_name" property="userName" />
        <result column="pass_time" property="passTime" />
        <result column="eg_device_id" property="egDeviceId" />
        <result column="pass_type" property="passType" />
        <result column="face_base" property="faceBase" />
        <result column="card_num" property="cardNum" />
        <result column="pass_result" property="passResult" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
